# -*- coding: utf-8 -*-
from __future__ import annotations

from django.contrib import admin
from django.contrib.admin.apps import AdminConfig
from django.utils.translation import gettext_lazy as _


class HotPocketAdminSite(admin.AdminSite):
    site_header = 'HotPocket'
    site_title = 'HotPocket by BTHLabs'
    index_title = _('Home')
    login_template = 'core/admin/login.html'


class HotPocketAdminConfig(AdminConfig):
    default_site = 'hotpocket_backend.apps.admin.HotPocketAdminSite'
